===============================================================
This is yw-ban.ch, a YWEB change file to be applied to cweave.w
===============================================================
$Source: /home/web/cweb-iso8859/yweb/RCS/yw-ban.ch,v $
$Date: 1998/04/18 12:12:04 $
$Revision: 1.2 $

Limbo.

@x l.1
% This file is part of CWEB.
% This program by Silvio Levy and Donald E. Knuth
% is based on a program by Knuth.
% It is distributed WITHOUT ANY WARRANTY, express or implied.
% Version 3.4 --- April 1995

% Copyright (C) 1987,1990,1993 Silvio Levy and Donald E. Knuth
@y
% This file is part of YWEB package.
% This program by W{\l}odek Bzyl is based on a program by Levy and Knuth.
% Version 1.1 --- February 1998

% Copyright (C) 1998 W{\l}odek Bzyl
@z

@x l.30
\def\title{CWEAVE (Version 3.4)}
\def\topofcontents{\null\vfill
  \centerline{\titlefont The {\ttitlefont CWEAVE} processor}
  \vskip 15pt
  \centerline{(Version 3.4)}
  \vfill}
\def\botofcontents{\vfill
\noindent
Copyright \copyright\ 1987, 1990, 1993 Silvio Levy and Donald E. Knuth
@y
\def\YACC/{{\mc YACC\spacefactor1000}}
\def\BISON/{{\mc BISON\spacefactor1000}}
\def\LEX/{{\mc LEX\spacefactor1000}}
\def\FLEX/{{\mc FLEX\spacefactor1000}}

\def\YPL{\leavevmode\hskip-0.5em% ??
  \lower1.35pt\hbox{\eightrm\%\raise1.35pt\hbox{\sevensy\char"66}}}
\def\YPR{\leavevmode\lower1.35pt
  \hbox{\eightrm\%\raise1.0pt\hbox{\sevensy\char"67}}}
\def\YPP{\leavevmode\hbox{\eightrm\%\%}}
\def\YP{\leavevmode\hbox{\sevenbf\%}}

\font\ss=cmssq8 % used in \YACC/
\def\YI#1{\leavevmode\hbox{\ss#1\/\kern.05em}} % sans type for identifiers

\def\v{\char'174} % vertical (|) in typewriter font

\def\title{YWEAVE (Version 1.1)}
\def\topofcontents{\null\vfill
  \centerline{\titlefont The YWEAVE processor}
  \vskip 15pt
  \centerline{(Version 1.1)}
  \vfill}
\def\botofcontents{\vfill
\noindent
Copyright \copyright\ 1998 W{\l}odek Bzyl
@z

@x l.51
\let\maybe=\iftrue
@y
\let\maybe=\iffalse % print only changed modules
@z


Section 1.

@x l.54
This is the \.{CWEAVE} program by Silvio Levy and Donald E. Knuth,
based on \.{WEAVE} by Knuth.
We are thankful to Steve Avery,
Nelson Beebe, Hans-Hermann Bode (to whom the \CPLUSPLUS/ adaptation is due),
Klaus Guntermann, Norman Ramsey, Tomas Rokicki, Joachim Schnitter,
Joachim Schrod, Lee Wittenberg, and others who have contributed improvements.

The ``banner line'' defined here should be changed whenever \.{CWEAVE}
is modified.

@d banner "This is CWEAVE (Version 3.4)\n"
@y
This is the \.{YWEAVE} program by W{\l}odek Bzyl,
based on \.{WEAVE} by Levy and Knuth.

The general idea of \.{CWEAVE} is to make a \.{.tex} file from 
the literate \CEE/ program. The general idea of \.{YWEAVE}
is to make \.{.tex} file from the literate \YACC/ program.
The command `\.{yweave something.w}' creates an output file
\.{something.tex}, which can be run through \.{tex}, yielding
a ``pretty printed'' version of \.{something.w} that correctly 
handles typographic details. The typeset output also includes
extensive cross-index gathered automatically.

I decided to use \.{CTANGLE}, \.{CWEAVE} and \.{CWEB} 
when refering to \.{YTANGLE}, \.{YWEAVE} and \.{YWEB}. 
Otherwise this change file would be much longer. This would not been
a problem if these names had been defined as {\TeX} macros.

The ``banner line'' defined here should be changed whenever \.{YWEAVE}
is modified.

@d banner "This is YWEAVE (Version 1.1)\n"
@z


Section 80.

@x l.1325
@ In particular, the |finish_line| procedure is called near the very
beginning of phase two. We initialize the output variables in a slightly
tricky way so that the first line of the output file will be
`\.{\\input cwebmac}'.
@y
@ In particular, the |finish_line| procedure is called near the very
beginning of phase two. We initialize the output variables in a
slightly tricky way so that the first line of the output file will be
`\.{\\input yweb.tex}'. This file inputs \.{cwebmac.tex} with standard
macros for \.{CWEB} listings and defines its own macros to typeset
\YACC/ code.
@z

@x l.1332
*out_ptr='c'; tex_printf("\\input cwebma");
@y
*out_ptr='x'; tex_printf("\\input yweb.te");
@.cwebmac.tex@>
@.yweb.tex@>
@z


Do not print productions!
  Included `prod.w' causes problems when 
  reading by tex -- incomplete conditional.. error

@x l.1978
@i prod.w
@y
@z
